<html>
   <head>
      <meta HTTP-EQUIV='Pragma' CONTENT='no-cache'>
      <link rel="stylesheet" href='stylemain.css' type='text/css'>
          <script language="javascript" src="portName.js"></script>
         <link rel="stylesheet" href='colors.css' type='text/css'>
   </head>
   <body>
      <blockquote>
         <form>
            <b>Diagnostics</b><br>
            <P>The individual tests are
               listed below. If a test displays a fail status, click &quot;Rerun Diagnostic
               Tests&quot; at the bottom of this page to make sure the fail status is
               consistent. If the test continues to fail, click &quot;Help&quot; and follow
               the troubleshooting procedures.
            </P>
            <P><B>Test the connection to your local network</B>
               <TABLE border="1" cellspacing="0" cellpadding="3">
                  <TBODY>
 <script language="javascript">
//    var DeviceProject = "<%ejGetOther(sysInfo,DeviceProject)%>";
    var DeviceProject = "2";
<!-- hide                     
    <%ejGet(enetDiag)%>                                                      

if ('<%ejGet(enblUsb)%>' == '1') {
   document.writeln("<TR><TD class='hd'>Test your USB Connection: </TD>");
   document.writeln("<TD><B><%ejGetOther(diagnostic, 13)%></B>&nbsp;</TD>");
   document.writeln("<TD><A href='hlpusbconn.html'>Help</A></TD> </TR>");
}
if ('<%ejGet(enblWireless)%>' == '1') {
      var Wireless_info = "<%ejGetOther(diagnostic, 17)%>";
      if(DeviceProject == '2')
      {
         var ws = Wireless_info.split(" ");
         document.writeln("<TR><TD class='hd'>Test your Wi-Fi Connection (2.4GHz): </TD>");
         if(ws[0]=="1")
            document.writeln("<TD><B><font color='green'>PASS</font></B>&nbsp;</TD>");
         else
            document.writeln("<TD><B><font color='#ff9900'>DISABLED</font></B>&nbsp;</TD>");
         document.writeln("<TD><A href='hlpwlconn.html'>Help</A></TD></TR>");
         document.writeln("<TR><TD class='hd'>Test your Wi-Fi Connection (5GHz): </TD>");
         if(ws[1]=="1")
            document.writeln("<TD><B><font color='green'>PASS</font></B>&nbsp;</TD>");
         else
            document.writeln("<TD><B><font color='#ff9900'>DISABLED</font></B>&nbsp;</TD>");
         document.writeln("<TD><A href='hlpwlconn.html'>Help</A></TD></TR>");
      }
      else
      {
         document.writeln("<TR><TD class='hd'>Test your Wi-Fi Connection: </TD>");
         document.writeln("<TD><B>" + Wireless_info + "</B>&nbsp;</TD>");
         document.writeln("<TD><A href='hlpwlconn.html'>Help</A></TD></TR>");
      }
   }
// done hiding -->
</script>
                  </TBODY></TABLE>
 <script language="javascript">
<!-- hide  
/*** This portion should not be in diaglan.  Preserved for moving to other places if needed later on
            <P><B>Test the connection to your DSL service provider</B>
               <TABLE border="1" cellspacing="0" cellpadding="3">
                  <TBODY>
                     <TR>
                        <TD class='hd' width="250">Test xDSL Synchronization:
                        </TD>
                        <TD width="50"><B><%ejGetOther(diagnostic, 2)%></B>&nbsp;</TD>
                        <TD><A href="hlpadslsync.html">Help</A></TD>
                     </TR>
                  </TBODY></TABLE>
            <P>
*/            
// done hiding -->
</script>            
               <CENTER><br>
                  <input type='button' onClick='location.href="diag.html"' value='Return Diagnostic Tests'>
         </form>
      </blockquote>
   </body>
</html>
